[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TApplication.Terminate

The application is terminated and the component engine is shutdown.

## Declaration

Source position: forms.pp line 1635

`public procedure TApplication.Terminate; override;`

## Description

Terminate is an overridden method in TApplication, and calls the inherited method on entry to set the values in Terminated and ExitCode. It calls the AppTerminate method the widgetset class instance to perform actions needed to halt the application using the mechanism(s) for the operating system or platform.

Use Terminated to determine if the method has already been called and has not yet been completed in the widgetset class.

## See also

TCustomApplication.Terminate
TCustomApplication.Terminated